Search Symptoms and Diagnoses
curl --request GET \
--url https://api.dev.eka.care/medical-db/v1/sym-and-diag \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.eka.care/medical-db/v1/sym-and-diag"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.eka.care/medical-db/v1/sym-and-diag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symptoms": [
{
"id": "<string>",
"name": "<string>",
"common_name": "<string>"
}
],
"diagnoses": [
{
"id": "<string>",
"name": "<string>",
"common_name": "<string>",
"icd10_code": "<string>",
"icd10_name": "<string>"
}
]
}{
"error": "<string>",
"code": 123,
"details": "<string>"
}{
"symptoms": [
{
"id": "<string>",
"name": "<string>",
"common_name": "<string>"
}
],
"diagnoses": [
{
"id": "<string>",
"name": "<string>",
"common_name": "<string>",
"icd10_code": "<string>",
"icd10_name": "<string>"
}
]
}{
"error": "<string>",
"code": 123,
"details": "<string>"
}{
"error": "<string>",
"code": 123,
"details": "<string>"
}Resources
Search Symptoms and Diagnoses
This endpoint returns comprehensive information about medical symptoms and diagnoses from the Eka medical database based on search query.
The API provides detailed symptom and diagnosis information including ICD-10 codes, common names, and medical terminology for healthcare professionals and applications.
GET
/
medical-db
/
v1
/
sym-and-diag
Search Symptoms and Diagnoses
Authorizations
Enter JWT token for authentication
Query Parameters
Search query string for symptoms or diagnoses
Maximum number of results to return
Required range:
1 <= x <= 100Type of search to perform - symptom for symptoms only, diagnosis for diagnoses only, all for both
Available options:
symptom, diagnosis Was this page helpful?

